Subject: Re: [Linux-zigbee-devel] [PATCH 4/4] ieee802154: remove seq member of mac_cb

From: Phoebe Buckheister <[email-masked]>
Date: Mon, 3 Mar 2014 15:34:43 +0100

On Mon, 3 Mar 2014 15:10:27 +0100
Alexander Aring <[email-masked]> wrote:

> Or maybe we can move the dev_hard_header call in lowpan_fragment_xmit
> and lowpan_xmit if this is possible. But then we doesn't know the mac
> header length in lowpan_skb_fragmentation. Strange...

You could have lowpan_fragment_xmit create an entirely new skb, call
dev_hard_header, determine how many bytes you can pack into that skb
and then do that. If you can transmit that fragment, return the number
of bytes transmitted, if you can't, return -ENOBUFS or whatever seems
more appropriate. Ideally, also ask mac802154 (somehow, not sure how)
about how many bytes you can fit into the fragment instead of using a
fixed maximum fragment size.